=== modified file 'loggerhead/controllers/changelog_ui.py'
--- loggerhead/controllers/changelog_ui.py	2009-03-13 05:36:26 +0000
+++ loggerhead/controllers/changelog_ui.py	2009-03-16 23:01:40 +0000
@@ -18,6 +18,7 @@
 #
 
 import simplejson
+import urllib
 
 from paste.httpexceptions import HTTPServerError
 
@@ -63,7 +64,7 @@
             data = {}
             for i, c in enumerate(changes):
                 c.index = i
-                data[str(i)] = c.revid
+                data[str(i)] = urllib.quote(urllib.quote(c.revid, safe=''))
         except:
             self.log.exception('Exception fetching changes')
             raise HTTPServerError('Could not fetch changes')

=== modified file 'loggerhead/controllers/revlog_ui.py'
--- loggerhead/controllers/revlog_ui.py	2009-03-13 05:36:26 +0000
+++ loggerhead/controllers/revlog_ui.py	2009-03-16 23:01:40 +0000
@@ -1,3 +1,5 @@
+import urllib
+
 from loggerhead import util
 from loggerhead.controllers import TemplatedBranchView
 
@@ -8,7 +10,8 @@
 
     def get_values(self, path, kwargs, headers):
         history = self._history
-        revid = self.get_revid()
+
+        revid = urllib.unquote(self.args[0])
 
         changes = list(history.get_changes([revid]))
         history.add_changes(changes)

